# Uses of Interface
org.eclipse.jface.text.information.IInformationPresenter

Packages that use IInformationPresenter
Package
Description
org.eclipse.jface.text.information
Provides an information provider add-on for an `ITextViewer`.
org.eclipse.jface.text.source
Provides a framework for connecting document regions with annotations and for displaying those.

## Uses of IInformationPresenter in org.eclipse.jface.text.information

Classes in org.eclipse.jface.text.information that implement IInformationPresenter
Modifier and Type
Class
Description
`class`
`InformationPresenter`
Standard implementation of `IInformationPresenter`.

## Uses of IInformationPresenter in org.eclipse.jface.text.source

Fields in org.eclipse.jface.text.source declared as IInformationPresenter
Modifier and Type
Field
Description
`protected IInformationPresenter`
SourceViewer.`fInformationPresenter`
The viewer's information presenter
Methods in org.eclipse.jface.text.source that return IInformationPresenter
Modifier and Type
Method
Description
`IInformationPresenter`
SourceViewerConfiguration.`getInformationPresenter(ISourceViewer sourceViewer)`
Returns the information presenter which will determine and shown information requested for the current cursor position.